Description

Hi

On windows 10 (21H1) adding url https://22193.live.streamtheworld.com/NOSTALGIEWHATAFEELING.mp3 in version 4.1 gives the

error:

Fout tijdens lezen van https://22193.live.streamtheworld.com/NOSTALGIEWHATAFEELING.mp3:

Onbekend URI-schema

Of I test it on linux the url works fine.

History

#1 - July 02, 2021 19:15 - John Lindgren

- Tracker changed from Bug to Support

#2 - August 27, 2021 23:00 - John Lindgren

Is anyone else able to reproduce this issue?

#3 - November 05, 2021 05:46 - Jim Turner

Yes - and it's been this way for a long time!  (A good while back) I had to add an option in Fauxdacious to handle this issue on Windows version,

which has been working quite well:

neon.cc:

static const ComboItem ignore_ssl_certs_choices[] = {

    ComboItem (N_("Never"), 0),               // (DEFAULT) - PERFORM FULL SSL CERT. CHECKS ON HTTPS STREAMS.

    ComboItem (N_("Untrusted"), 1),           // (WINDOWS DEFAULT) CHECK BUT ALLOW UNTRUSTED CERTS. (M$ WINDOW

S SEEMS TO NEED)?

    ComboItem (N_("All checks (risky!)"), 2)  // SKIP ALL SSL VALIDATION (RISKY) USER MUST TRUST STREAMING SIT

ES!

};

...

const char * const NeonTransport::defaults[] = {

...

#ifdef _WIN32

    "ignore_ssl_certs", 1,  // WINDOWS DOESN'T USE SSL_CERT_* ENV. VARS & THUS CAN'T FIND CERTS?!

#else

    "ignore_ssl_certs", 0,

#endif

...

    nullptr

};

 

cert_verification.cc  (Added for video play, but https audio streams have same issue - at the time most were not https, but now more and more are!):

int neon_vfs_verify_environment_ssl_certs (void * userdata, int failures,

 const ne_ssl_certificate * serverCert)

{
    /* JWT:ADDED FOR Youtube / Vimeo PLAY ON WINDOWS, SINCE WINDOWS SEEMS TO CHECK & NOT TRUST CERT. ISSUER?! 

*/

    int ignore_ssl_certs = aud_get_int ("neon", "ignore_ssl_certs");

    if (ignore_ssl_certs == 2)

        return 0;

    else if (ignore_ssl_certs == 1)

        return failures & ~NE_SSL_UNTRUSTED;

    // First check the certificate file, if we have one.

    ...

 

Regards,

Jim

#4 - November 13, 2021 02:20 - John Lindgren

Jim - are you talking about the same error here?  Do you also see "Unknown URI scheme"?

I'm aware of the missing-certificates issue on Windows, but that's #1108, and should result in a different error message.  "Unknown URI scheme"

should only be seen if the neon plugin is disabled or failed to load.

#5 - November 19, 2021 05:31 - Jim Turner

I would assume so, the error-dialog image in the bug is in a foreign language.  I just booted up in Windows(7), typed this url into Fauxdacious & it's

aplayin' away!

Jim

#6 - December 18, 2021 16:58 - John Lindgren

"Onbekend URI-schema" translates to "Unknown URI scheme" (according to Google Translate).

Jim, what is the exact error message that you see?

#7 - March 05, 2022 14:54 - John Lindgren

- Status changed from New to Closed

Closing due to inactivity. Sorry no one was able to help you with this.

Files

Untitled.png 5.04 KB June 28, 2021 Christophe Bude

Powered by TCPDF (www.tcpdf.org)

March 08, 2024 2/2

http://redmine.audacious-media-player.org/issues/1108
http://www.tcpdf.org

